﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;
using System.Threading;
using System.IO;

namespace HyperSerialPort
{
    public partial class frmSendFileForm : Form
    {
        string Chosen_file = "";
        public frmSendFileForm()
        {
            InitializeComponent();
        }

        //creating object of parent to access shared variable  
        HyperSerialPort frmSendFile = new HyperSerialPort();

        private void button1SendFile_Click(object sender, EventArgs e)
        {
            openFDSendFile.InitialDirectory = "C:";
            openFDSendFile.Title = "Select the File to Open";
            openFDSendFile.FileName = "";
            openFDSendFile.Filter = "Send Text File|*.*";

            if (openFDSendFile.ShowDialog() == DialogResult.Cancel)
            {
                MessageBox.Show("Operation Cancelled");
            }
            else
            {
                Chosen_file = openFDSendFile.FileName;
                textBoxSFFilename.AppendText(Chosen_file);
            }

        }


        private void buttonSendFileSend_Click(object sender, EventArgs e)
        {
            frmSendFile.SendFile_OpenSFPort = true;
            try
            {
                serialPortSendFile.PortName = frmSendFile.Form2_PortName;
                serialPortSendFile.BaudRate = Convert.ToInt32(frmSendFile.Form2_BaudRate);
                serialPortSendFile.Parity = (Parity)Enum.Parse(typeof(Parity), frmSendFile.Form2_Parity);
                serialPortSendFile.DataBits = Convert.ToInt16(frmSendFile.Form2_DataBits);
                serialPortSendFile.StopBits = (StopBits)Enum.Parse(typeof(StopBits), frmSendFile.Form2_StopBits);
                serialPortSendFile.Handshake = (Handshake)Enum.Parse(typeof(Handshake), frmSendFile.Form2_Handshake); ;
                serialPortSendFile.Open();
                Thread.Sleep(50);
                if (serialPortSendFile.IsOpen)
                {
                    serialPortSendFile.Write(File.OpenText(Chosen_file).ReadToEnd());
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            frmSendFile.SendFile_OpenSFPort = false;
        }

        private void buttonSendFileClose_Click(object sender, EventArgs e)
        {
            frmSendFile.SendFile_OpenSFPort = false;
            //File.Open(Chosen_file, FileMode.Open);
            serialPortSendFile.Close();
            this.Close();
        }

        private void buttonSendFileCancel_Click(object sender, EventArgs e)
        {
            frmSendFile.SendFile_OpenSFPort = false;
            serialPortSendFile.Close();
            this.Close();
        }

        private void textBoxSFFilename_TextChanged(object sender, EventArgs e)
        {
            label1SendFile.Text = Chosen_file;
        }





    }
}
